{% extends "ajax/ajax.html.twig" %}

{% from "ajax/admin/widget/displays.twig" import widget_citizen %}

{% from "ajax/admin/widget/controls.twig" import widget_status_control as status_control, widget_status_control_js as status_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_role_control as role_control, widget_role_control_js as role_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_point_control as point_control, widget_point_control_js as point_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_profession_control as profession_control, widget_profession_control_js as profession_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_home_control as home_control, widget_home_control_js as home_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_teleport_control as teleport_control, widget_teleport_control_js as teleport_control_js %}
{% from "ajax/admin/widget/controls.twig" import widget_alias_control as alias_control, widget_alias_control_js as alias_control_js %}

{% block title %}{% trans from 'admin' %}Bürger{% endtrans %} - {{ user.name }}{%  endblock %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-12">
            {% embed "ajax/admin/users/tabs.html.twig" %}{% endembed %}

            <div class="row">
                <div class="padded cell rw-4 rw-sm-12">
                    <h5>{{ 'Entkoppelte Leben'|trans({}, 'admin') }}</h5>
                    {% for other_life in user.citizens %}
                        {# @var other_life \App\Entity\Citizen #}
                        {% if not other_life.active %}
                            <div class="row-flex">
                                <div class="padded cell grow-0 shrink-0">
                                    {% if other_life.alive %}
                                        <img alt="{{ other_life.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ other_life.profession.icon ~ '.gif') }}" />
                                    {% else %}
                                        <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                                    {% endif %}
                                </div>
                                <div class="padded cell grow-1 shrink-1">
                                    {{ other_life.town.name }}
                                </div>
                                <div class="padded cell grow-0 shrink-0">
                                    <button {% if not is_granted("ROLE_ADMIN") or other_life.rankingEntry.confirmed %}disabled{% endif %} x-engage="{{ path('admin_users_citizen_engage', {id: user.id, cid: other_life.id}) }}"><i class="fa fa-recycle"></i></button>
                                </div>
                            </div>
                        {% endif %}
                    {% endfor %}
                </div>
                <div class="cell rw-8 rw-sm-12">
                    <div class="row">
                        <div class="cell padded rw-12">
                            <h5>{{ 'Derzeitiges Leben'|trans({}, 'admin') }}</h5>
                            {% if alive %}
                                <div class="tooltip">{{ widget_citizen(user_citizen) }}</div>
                            {% endif %}
                        </div>
                        <div class="cell padded rw-12" {% if user_citizen is not null %}id="citizen_base_selector" x-id="{{ user_citizen.id }}"{% endif %}>
                            <label><input disabled style="width: 100%;" value="{% if active %}{{ town.name }}{% if not alive %}{{ " -- " }}{{ 'TOD NICHT BESTÄTIGT'|trans({}, 'admin') }}{% endif %}{% else %}{{ "--" }}{% endif %}" /></label>
                        </div>

                        {% if user_citizen is not null %}
                            <div class="cell padded rw-12">
                            <div class="row-table">
                                <div class="row header">
                                    <div class="padded cell rw-3">{{ 'Nachricht'|trans({},'admin') }}</div>
                                    <div class="padded cell rw-6">{{ 'Inhalt'|trans({},'admin') }}</div>
                                </div>
                                <div class="row">
                                    <div class="padded cell rw-3"><b>{{ 'Nachricht'|trans({},'game') }}</b></div>
                                    <div class="padded cell rw-6"><span class="small">{{ user_citizen.home.description }}</span></div>
                                    <div class="padded cell rw-3 right">
                                        {% if user_citizen.home.description %}
                                            <div class="inline pointer" data-delete-subject="status">
                                                <i class="fa fa-trash"></i>
                                                <div class="tooltip"><b>{{ 'Löschen'|trans({}, 'admin') }}</b></div>
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="padded cell rw-3"><b>{{ 'Kommentar'|trans({},'soul') }}</b></div>
                                    <div class="padded cell rw-6"><span class="small">{{ user_citizen.comment }}</span></div>
                                    <div class="padded cell rw-3">
                                        {% if user_citizen.comment %}
                                            <div class="inline pointer" data-delete-subject="comment">
                                                <i class="fa fa-trash"></i>
                                                <div class="tooltip"><b>{{ 'Löschen'|trans({}, 'admin') }}</b></div>
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="padded cell rw-3"><b>{{ 'Letzte Worte'|trans({},'soul') }}</b></div>
                                    <div class="padded cell rw-6"><span class="small">{{ user_citizen.lastWords }}</span></div>
                                    <div class="padded cell rw-3">
                                        {% if user_citizen.lastWords %}
                                            <div class="inline pointer" data-delete-subject="lastWords">
                                                <i class="fa fa-trash"></i>
                                                <div class="tooltip"><b>{{ 'Löschen'|trans({}, 'admin') }}</b></div>
                                            </div>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endif %}

                        {% if active %}
                            {% if alive %}
                                <div class="row">
                                {% if is_granted("ROLE_CROW") %}
                                <div class="cell padded rw-3">
                                {% if is_granted("ROLE_ADMIN") %}
                                    <button id="x-headshot"><img src="{{ asset('build/images/actions/bullets.gif') }}" alt="" /><span class="hide-md hide-sm">{{ 'Kopfschuss'|trans({}, 'admin') }}</span></button>
                                {% endif %}
                                    <button id="x-liver-eat"><img src="{{ asset('build/images/actions/canteen.gif') }}" alt="" /><span class="hide-md hide-sm">{{ 'Leber fressen'|trans({}, 'admin') }}</span></button>
                                </div>
                                {% endif %}

                                <div class="cell padded rw-3">
                                    <button {% if not is_granted("ROLE_ADMIN") %}disabled{% endif %} x-engage="{{ path('admin_users_citizen_engage', {id: user.id, cid: 0}) }}"><i class="fa fa-recycle"></i> <span class="hide-md hide-sm">{{ 'Entkoppeln'|trans({}, 'admin') }}</span></button>
                                </div>
                                <div class="cell padded rw-3">
                                    <button id="x-pm"><i class="fa fa-edit"></i> <span class="hide-md hide-sm">{{ 'PM vom Raben'|trans({}, 'admin') }}</span></button>
                                </div>
                                <div class="cell padded rw-3">
                                    <button x-ajax-href="{{ path("admin_town_explorer", {id: town.id}) }}"><i class="fa fa-eye"></i> <span class="hide-md hide-sm">{{ 'Stadt ansehen'|trans({}, 'admin') }}</span></button>
                                </div>
                                </div>

                                {% if is_granted("ROLE_ADMIN") %}
                                    <div class="cell padded rw-6 rw-md-12">{{ point_control() }}</div>
                                    <div class="cell padded rw-6 rw-md-12">{{ profession_control(citizenProfessions) }}</div>
                                    <div class="cell padded rw-12">{{ teleport_control() }}</div>
                                    <div class="cell padded rw-6 rw-md-12">{{ status_control(citizenStati) }}</div>
                                    <div class="cell padded rw-6 rw-md-12">{{ role_control(citizenRoles) }}</div>
                                    <div class="cell padded rw-12">{{ home_control(user_citizen,home_upgrades) }}</div>
                                    {% if town.conf and town.conf.features and town.conf.features.citizen_alias %}
                                        <div class="cell padded rw-12">{{ alias_control(user_citizen) }}</div>
                                    {% endif %}
                                {% endif %}
                            {% endif %}
                        {% endif %}
                    </div>
                    <div class="row">
                        <div class="cell padded rw-12">
                            <input type="hidden" id="pmidrecipient" value="{{ citizen_id }}">
                            <div id="forum-content"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% embed "ajax/admin/users/footer.html.twig" %}{% endembed %}
{% endblock %}
{% block js %}
    {{ parent() }}
    {% if is_granted("ROLE_ADMIN") and alive %}
        {{ home_control_js('#citizen_base_selector', path('admin_town_manage_home', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ status_control_js('#citizen_base_selector', path('admin_town_manage_status', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ role_control_js('#citizen_base_selector', path('admin_town_manage_role', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ point_control_js('#citizen_base_selector', path('admin_town_alter_pp', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ profession_control_js('#citizen_base_selector', path('admin_modify_profession', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ teleport_control_js('#citizen_base_selector', path('admin_teleport_citizen', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
        {{ alias_control_js('#citizen_base_selector', path('admin_alias_citizen', {id: user_citizen.town.id}), path('admin_users_citizen_view', {id: user.id})) }}
    {% endif %}
    <script>
        {% if is_granted("ROLE_ADMIN") %}
            $.html.addEventListenerAll('[x-engage]', 'click', (e,elem) => {
                $.ajax.easySend( elem.getAttribute('x-engage'), [],
                    function () {
                        $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                    } )
            });
        {% endif %}

        {% if is_granted("ROLE_CROW") %}
            $.html.addEventListenerAll('[data-delete-subject]', 'click', (e,elem) => {
                if (confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    $.ajax.easySend( '{{ path('admin_users_citizen_remove_aspect', { 'id': user.Id }) }}', {'subject': elem.dataset.deleteSubject},
                        function () {
                            $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                        } )
            });
        {% endif %}

        {% if active %}
            {% if alive %}
                {% if is_granted("ROLE_ADMIN") %}
                document.getElementById('x-headshot').addEventListener('click', function(e) {
                    e.preventDefault();
                    if (confirm('{{ 'Das Leben dieses Bürgers sofort beenden?'|trans({},'admin') }}'))
                        $.ajax.easySend( '{{ path('admin_users_citizen_headshot', { 'id': user_citizen.id }) }}', [],
                            function () {
                                $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                            } )
                });
                {% endif %}

                {% if is_granted("ROLE_CROW") %}
                    document.getElementById('x-liver-eat')?.addEventListener('click', function(e) {
                        e.preventDefault();
                        if (confirm('{{ 'Das Leben dieses Bürgers sofort beenden?'|trans({},'admin') }}'))
                            $.ajax.easySend( '{{ path('admin_users_citizen_eat_liver', { 'id': user_citizen.id }) }}', [],
                                function () {
                                    $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                                } )
                    });
                {% endif %}

                document.getElementById('x-pm').addEventListener('click', function() {
                    document.getElementById("forum-content").innerHTML = "";
                    $.ajax.no_history().load( document.getElementById('forum-content'), '{{ path('admin_pm_editor_controller', {'type': 'pm'}) }}', false )
                });
            {% endif %}
        {% endif %}
    </script>
{% endblock %}